<div class="container">
  <div class="row justify-content-center align-items-center" style="height: 100vh;">
    <div class="col-6">
      <h3 class="text-center mb-4">Reset Password</h3>
      <div class="card">
        <div class="card-body">
          <form  [formGroup]="resetPasswordForm">
            <div class="input-group mb-3">
              <input type="text" class="form-control" formControlName="password" (input)="passwordPress($event)" placeholder="Password">
            </div>
            <!-- <input type="text" formControlName="password" (input)="passwordPress($event)" placeholder="Password" class="input" /> -->
            <div
            *ngIf="
            resetPasswordForm.touched &&
            resetPasswordForm.get('password').errors?.required
            "
            class="text-danger mb-3"
          >
            Please Enter Password
          </div>
          <div
          *ngIf="
          resetPasswordForm.touched &&
          resetPasswordForm.get('password').errors?.min
          "
          class="text-danger mb-3"
        >
          Min 6 Char
        </div>
        <div class="input-group mb-3">
          <input type="text" class="form-control" formControlName="confirmpassword" (input)="confirmPasswordPress($event)" placeholder="Confirm Password" [type]="hide ? 'password' : 'text'" >
          <div class="input-group-append">
            <button class="btn btn-outline-secondary" (click)="myFunction()" type="button">{{hide ? 'show' : 'hide'}}</button>
          </div>
        </div>

            <!-- <input type="password" formControlName="confirmpassword" (input)="confirmPasswordPress($event)" placeholder="Confirm Password"
              class="input" [type]="hide ? 'password' : 'text'" /> -->
              
              <div
              *ngIf="resetPasswordForm.touched &&
              resetPasswordForm.get('confirmpassword').errors?.required"
              class="text-danger mb-3"
            >
              Please Enter Confirm Password
            </div>
            <div
            *ngIf="errorConfirmPassword"
            class="text-danger mb-3"
          >
            Password Not Match Check Again
          </div>
          <div>
            <button class="btn btn-primary" (click)="submitResetPassword()" [disabled]='resetButtonDisabled'>Change
              Password</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
